var cgsBase = {};
(function (cgs) {
    var container;
    var scrollId;
    var scrollDiv;
    
    cgs.init = function () {
        window.addEventListener('load', cgs.initDom);
        window.addEventListener('scroll', cgs.doScroll);
        
    };
    cgs.save = function (canvas, name) {
        canvas.toBlob(function (blob) {
            saveAs(blob, name);
        });
    };
    cgs.doResize = function () {
        //var r = container.getBoundingClientRect();
        if (cgs.isIPhone()) {
            /*if(r.height > window.innerHeight) {
                scrollDiv.style.zIndex = 10;
                document.body.scrollTop = 0;
            } else {
                scrollDiv.style.zIndex = 1;
                document.body.scrollTop = 0;
            }*/

        } else {

        }
    };
    function simulateScroll() {

        clearTimeout(scrollId);
        document.body.scrollTop = 0;

        container['egret-player'].updateScreenSize();

    }
    cgs.isIPhone = function () {
        return navigator.userAgent.indexOf("iPhone") != -1;
    };
    cgs.doScroll = function () {
        document.body.scrollTop = 0;
    };
    cgs.initDom = function () {
        if (cgs.isIPhone()) {
            var appendDom = document.createElement('DIV');
            appendDom.style.width = '100%';
            appendDom.style.height = '120%';
            document.body.appendChild(appendDom);
            appendDom.style.background = 'rgba(255,255,255,0.7)';
            appendDom.style.position = 'absolute';
            appendDom.style.zIndex = 1;
            scrollDiv = appendDom;
            /*var txt = document.createTextNode("Slide Up to Enter FullScreen Mode");
            appendDom.style.lineHeight = window.innerHeight + 'px';
            appendDom.style.textAlign = 'center'
            appendDom.appendChild(txt)*/

        }
        container = document.querySelector(".egret-player");
        window.addEventListener("resize", cgs.doResize);
        cgs.doResize();
        setTimeout(cgs.doResize, 500);

    };
    cgs.onAdsComplete = function () {
        if (this.resumeCall != null) {
            this.resumeCall.apply(this.callbackObj, []);
        }
    };
    cgs.callbackObj = null;

    cgs.resumeCall = null;
    cgs.requestAd = function (pauseFun, resumeFun, thisObj) {
        if (pauseFun) {
            pauseFun.apply(thisObj, []);
        }
        this.callbackObj = thisObj;
        this.resumeCall = resumeFun;
        try {
            CGSApi.GameBreak(null,null);
        }
        catch (err) {
            this.onAdsComplete();
        }
    };

})(cgsBase);
function adsCompleted() {
    cgsBase.onAdsComplete();
}

cgsBase.init();